public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in sys-libs/csu: csu-85.ebuild ChangeLog
@ 2015-02-28 10:53 Fabian Groffen (grobian)
  0 siblings, 0 replies; 2+ messages in thread
From: Fabian Groffen (grobian) @ 2015-02-28 10:53 UTC (permalink / raw
  To: gentoo-commits

grobian     15/02/28 10:53:58

  Modified:             csu-85.ebuild ChangeLog
  Log:
  Let the compiler determine if Availability.h is available for a more reliable result, bug #539964
  
  (Portage version: 2.2.14-prefix/cvs/SunOS i386, signed Manifest commit with key 0x5F75F607C5C74E89)

Revision  Changes    Path
1.2                  sys-libs/csu/csu-85.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/csu-85.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/csu-85.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/csu-85.ebuild?r1=1.1&r2=1.2

Index: csu-85.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-libs/csu/csu-85.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- csu-85.ebuild	3 Feb 2015 21:04:09 -0000	1.1
+++ csu-85.ebuild	28 Feb 2015 10:53:58 -0000	1.2
@@ -1,10 +1,10 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/csu/csu-85.ebuild,v 1.1 2015/02/03 21:04:09 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/csu/csu-85.ebuild,v 1.2 2015/02/28 10:53:58 grobian Exp $
 
 EAPI=5
 
-inherit eutils
+inherit toolchain-funcs eutils
 
 DESCRIPTION="Darwin Csu (crt1.o) - Mac OS X 10.10 version"
 HOMEPAGE="http://www.opensource.apple.com/"
@@ -25,19 +25,18 @@
 		-e '/^CC = /d' \
 		Makefile || die
 
-	if [[ ${CHOST##*-darwin} -le 8 ]] ; then
-		# Availability.h missing
-		epatch "${FILESDIR}"/${P}-darwin8.patch
-
-		if [[ ${CHOST} == powerpc* ]] ; then
-			# *must not* be compiled with -Os on PPC because that
-			# will optimize out
-			# _pointer_to__darwin_gcc3_preregister_frame_info which
-			# causes linker errors for large programs because the
-			# jump to ___darwin_gcc3_preregister_frame_info gets to
-			# be more than 16MB away
-			sed -i -e "s, -Os , -O ,g" Makefile || die
-		fi
+	# deal with Availability.h missing
+	echo "#include <Availability.h>" | $(tc-getCC) -o - -c -x c - >& /dev/null \
+		|| epatch "${FILESDIR}"/${P}-darwin8.patch
+
+	if [[ ${CHOST} == powerpc* ]] ; then
+		# *must not* be compiled with -Os on PPC because that
+		# will optimize out
+		# _pointer_to__darwin_gcc3_preregister_frame_info which
+		# causes linker errors for large programs because the
+		# jump to ___darwin_gcc3_preregister_frame_info gets to
+		# be more than 16MB away
+		sed -i -e "s, -Os , -O ,g" Makefile || die
 	fi
 }
 



1.9                  sys-libs/csu/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/ChangeLog?rev=1.9&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/ChangeLog?rev=1.9&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/ChangeLog?r1=1.8&r2=1.9

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-libs/csu/ChangeLog,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- ChangeLog	3 Feb 2015 21:04:09 -0000	1.8
+++ ChangeLog	28 Feb 2015 10:53:58 -0000	1.9
@@ -1,6 +1,10 @@
 # ChangeLog for sys-libs/csu
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/csu/ChangeLog,v 1.8 2015/02/03 21:04:09 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/csu/ChangeLog,v 1.9 2015/02/28 10:53:58 grobian Exp $
+
+  28 Feb 2015; Fabian Groffen <grobian@gentoo.org> csu-85.ebuild:
+  Let the compiler determine if Availability.h is available for a more reliable
+  result, bug #539964
 
 *csu-85 (03 Feb 2015)
 





^ permalink raw reply	[flat|nested] 2+ messages in thread

* [gentoo-commits] gentoo-x86 commit in sys-libs/csu: csu-85.ebuild ChangeLog
@ 2015-03-01  9:15 Fabian Groffen (grobian)
  0 siblings, 0 replies; 2+ messages in thread
From: Fabian Groffen (grobian) @ 2015-03-01  9:15 UTC (permalink / raw
  To: gentoo-commits

grobian     15/03/01 09:15:22

  Modified:             csu-85.ebuild ChangeLog
  Log:
  Take simpler approach to fix Availability.h header problem by Michael Weiser, bug #538602
  
  (Portage version: 2.2.14-prefix/cvs/SunOS i386, signed Manifest commit with key 0x5F75F607C5C74E89)

Revision  Changes    Path
1.3                  sys-libs/csu/csu-85.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/csu-85.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/csu-85.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/csu-85.ebuild?r1=1.2&r2=1.3

Index: csu-85.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-libs/csu/csu-85.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- csu-85.ebuild	28 Feb 2015 10:53:58 -0000	1.2
+++ csu-85.ebuild	1 Mar 2015 09:15:22 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/csu/csu-85.ebuild,v 1.2 2015/02/28 10:53:58 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/csu/csu-85.ebuild,v 1.3 2015/03/01 09:15:22 grobian Exp $
 
 EAPI=5
 
@@ -25,9 +25,8 @@
 		-e '/^CC = /d' \
 		Makefile || die
 
-	# deal with Availability.h missing
-	echo "#include <Availability.h>" | $(tc-getCC) -o - -c -x c - >& /dev/null \
-		|| epatch "${FILESDIR}"/${P}-darwin8.patch
+	# only require Availability.h for arm, bugs #538602, #539964
+	epatch "${FILESDIR}"/${P}-arm-availability.patch
 
 	if [[ ${CHOST} == powerpc* ]] ; then
 		# *must not* be compiled with -Os on PPC because that



1.10                 sys-libs/csu/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/ChangeLog?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/ChangeLog?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/csu/ChangeLog?r1=1.9&r2=1.10

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-libs/csu/ChangeLog,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ChangeLog	28 Feb 2015 10:53:58 -0000	1.9
+++ ChangeLog	1 Mar 2015 09:15:22 -0000	1.10
@@ -1,6 +1,12 @@
 # ChangeLog for sys-libs/csu
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/csu/ChangeLog,v 1.9 2015/02/28 10:53:58 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/csu/ChangeLog,v 1.10 2015/03/01 09:15:22 grobian Exp $
+
+  01 Mar 2015; Fabian Groffen <grobian@gentoo.org>
+  +files/csu-85-arm-availability.patch, -files/csu-85-darwin8.patch,
+  csu-85.ebuild:
+  Take simpler approach to fix Availability.h header problem by Michael Weiser,
+  bug #538602
 
   28 Feb 2015; Fabian Groffen <grobian@gentoo.org> csu-85.ebuild:
   Let the compiler determine if Availability.h is available for a more reliable





^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2015-03-01  9:15 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-03-01  9:15 [gentoo-commits] gentoo-x86 commit in sys-libs/csu: csu-85.ebuild ChangeLog Fabian Groffen (grobian)
  -- strict thread matches above, loose matches on Subject: below --
2015-02-28 10:53 Fabian Groffen (grobian)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox